"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'a',
    getCategories(element) {
        return ['flow content', 'phrasing content', 'interactive content', 'palpable content'];
    },
    validateContext(element) {
        const result = [];
        return result;
    },
    validateContent(element) {
        const result = [];
        const contentModelParent = (0, util_1.getContentModelParent)(element);
        const rule = contentModelParent && (0, util_1.getRule)(contentModelParent);
        if (rule) {
            result.push(...rule.validateContent(element));
        }
        (0, util_1.walkDescendants)(element, function handler(descendant) {
            if ((0, util_1.isCategory)('interactive content', descendant)) {
                result.push({
                    expect: 'no interactive content descendant',
                    got: (0, util_1.getNodeInfo)(descendant),
                    target: element
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=a.js.map