"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'base',
    getCategories(element) {
        return ['metadata content'];
    },
    validateContext(element) {
        const result = [];
        const parent = element.parentElement;
        if (parent
            && ((0, util_1.isNotTag)('head', parent)
                || parent.children.filter((0, util_1.isTag)('base')).length > 1)) {
            result.push({
                expect: 'in a head element containing no other base elements',
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        if (element.childNodes.length) {
            result.push({ expect: 'empty' });
        }
        return result;
    }
};
//# sourceMappingURL=base.js.map