"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'caption',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        if (element.parentElement
            && ((0, util_1.isNotTag)('table', element.parentElement)
                || element.parentElement.children.indexOf(element) !== 0)) {
            result.push({
                expect: 'as the first element child of a table element',
                got: (0, util_1.getNodeInfo)(element.parentElement),
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        (0, util_1.walkDescendants)(element, descendant => {
            if ((0, util_1.isTag)('table', descendant)) {
                result.push({
                    expect: 'with no descendant table elements',
                    got: (0, util_1.getNodeInfo)(descendant),
                    target: descendant
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=caption.js.map