"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'col',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        if (element.parentElement
            && ((0, util_1.isNotTag)('colgroup', element.parentElement)
                || element.parentElement.hasAttribute('span'))) {
            result.push({
                expect: 'as a child of a colgroup element that doesn\'t have a span attribute',
                got: (0, util_1.getNodeInfo)(element.parentElement),
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        if (element.childNodes.length) {
            result.push({ expect: 'empty' });
        }
        return result;
    }
};
//# sourceMappingURL=col.js.map