"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'datalist',
    getCategories(element) {
        return ['flow content', 'phrasing content'];
    },
    validateContext(element) {
        const result = [];
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        if ((0, util_1.validateCategory)('phrasing content', children).length
            && (0, util_1.validateChildrenSequence)({
                desc: 'zero or more option elements',
                sequence: [['option', '*']]
            }, element).length) {
            result.push({
                expect: 'either phrasing content, or zero or more option elements',
                got: (0, util_1.getSequenceInfo)(element.children),
                target: element
            });
        }
        return result;
    }
};
//# sourceMappingURL=datalist.js.map