"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'dd',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        if (element.parentElement) {
            if ((0, util_1.isNotTag)('dl', element.parentElement)) {
                result.push({
                    expect: 'as a child of an dl element',
                    got: (0, util_1.getNodeInfo)(element.parentElement),
                    target: element
                });
            }
            for (let prev = element; (prev = prev.previousElementSibling);) {
                if ((0, util_1.isNotTag)('dt|dd', prev)) {
                    result.push({
                        expect: 'after dt or dd elements',
                        target: element
                    });
                    break;
                }
            }
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        return result;
    }
};
//# sourceMappingURL=dd.js.map