"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'dt',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        if (element.parentElement) {
            if ((0, util_1.isNotTag)('dl', element.parentElement)) {
                result.push({
                    expect: 'as a child of an dl element',
                    got: (0, util_1.getNodeInfo)(element.parentElement),
                    target: element
                });
            }
            for (let next = element; (next = next.nextElementSibling);) {
                if ((0, util_1.isNotTag)('dd|dt', next)) {
                    result.push({
                        expect: 'before dd or dt elements',
                        target: element
                    });
                    break;
                }
            }
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        (0, util_1.walkDescendants)(element, descendant => {
            if ((0, util_1.isTag)('header|footer', descendant)) {
                result.push({
                    expect: 'with no header, footer element descendants',
                    got: (0, util_1.getNodeInfo)(descendant),
                    target: descendant
                });
            }
            if ((0, util_1.isCategory)('sectioning content|heading content', descendant)) {
                result.push({
                    expect: 'with no sectioning content or heading content descendants',
                    got: (0, util_1.getNodeCategoriesInfo)(descendant),
                    target: descendant
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=dt.js.map