"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'figcaption',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        const parentElement = element.parentElement;
        if (parentElement) {
            if ((0, util_1.isNotTag)('figure', parentElement)) {
                result.push({
                    expect: 'as the first or last child of a figure element',
                    got: (0, util_1.getNodeInfo)(parentElement),
                    target: element
                });
            }
            if (element !== parentElement.firstElementChild
                && element !== parentElement.lastElementChild) {
                result.push({
                    expect: 'as the first or last child of a figure element',
                    target: element
                });
            }
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        return result;
    }
};
//# sourceMappingURL=figcaption.js.map