"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'legend',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        if (element.parentElement
            && ((0, util_1.isNotTag)('fieldset', element.parentElement)
                || element.parentElement.children.indexOf(element) !== 0)) {
            result.push({
                expect: 'as the first element in an fieldset element',
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('phrasing content', children));
        return result;
    }
};
//# sourceMappingURL=legend.js.map