"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'main',
    getCategories(element) {
        return ['flow content', 'palpable content'];
    },
    validateContext(element) {
        const result = [];
        (0, util_1.getAncestors)(element).forEach(ancestor => {
            if ((0, util_1.isTag)('article|aside|footer|header|nav', ancestor)) {
                result.push({
                    expect: 'with no article, aside, footer, header or nav element ancestors',
                    got: (0, util_1.getNodeInfo)(ancestor),
                    target: element
                });
            }
        });
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        return result;
    }
};
//# sourceMappingURL=main.js.map