"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'noscript',
    getCategories(element) {
        return ['metadata content', 'flow content', 'phrasing content'];
    },
    validateContext(element) {
        const result = [];
        (0, util_1.getAncestors)(element).forEach(ancestor => {
            if ((0, util_1.isTag)('noscript', ancestor)) {
                result.push({
                    expect: 'with no ancestor noscript elements',
                    got: (0, util_1.getNodeInfo)(ancestor),
                    target: element
                });
            }
        });
        return result;
    },
    validateContent(element) {
        const result = [];
        (0, util_1.walkDescendants)(element, descendant => {
            if ((0, util_1.isTag)('noscript', descendant)) {
                result.push({
                    expect: 'with no noscript element descendants',
                    got: (0, util_1.getNodeInfo)(descendant),
                    target: descendant
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=noscript.js.map