"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'td',
    getCategories(element) {
        return ['sectioning root'];
    },
    validateContext(element) {
        const result = [];
        if (element.parentElement
            && (0, util_1.isNotTag)('tr', element.parentElement)) {
            result.push({
                expect: 'as a child of an tr element',
                got: (0, util_1.getNodeInfo)(element.parentElement),
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        return result;
    }
};
//# sourceMappingURL=td.js.map