"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'thead',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        if (element.parentElement) {
            if ((0, util_1.isNotTag)('table', element.parentElement)) {
                result.push({
                    expect: 'as a child of an table element',
                    got: (0, util_1.getNodeInfo)(element.parentElement),
                    target: element
                });
            }
            for (let next = element; (next = next.nextElementSibling);) {
                if ((0, util_1.isTag)('caption|colgroup', next)) {
                    result.push({
                        expect: 'after any caption, and colgroup elements',
                        target: element
                    });
                    break;
                }
            }
            for (let prev = element; (prev = prev.previousElementSibling);) {
                if ((0, util_1.isTag)('tbody|tfoot|tr', prev)) {
                    result.push({
                        expect: ' before any tbody, tfoot, and tr elements',
                        target: element
                    });
                    break;
                }
            }
            if (element.parentElement.children.filter((0, util_1.isTag)('thead')).length > 1) {
                result.push({
                    expect: 'there are no other thead elements that are children of the table element',
                    target: element
                });
            }
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        result.push(...(0, util_1.validateChildrenSequence)({
            desc: 'zero or more tr and script-supporting elements',
            sequence: [['tr|category:script-supporting element', '*']]
        }, element));
        return result;
    }
};
//# sourceMappingURL=thead.js.map