"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'title',
    getCategories(element) {
        return ['metadata content'];
    },
    validateContext(element) {
        const result = [];
        const parent = element.parentElement;
        if (parent
            && ((0, util_1.isNotTag)('head', parent)
                || parent.getElementsByTagName('title').length > 1)) {
            result.push({
                expect: 'in a head element containing no other title elements',
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        if (!(element.childNodes.length === 1
            && element.childNodes[0].nodeType === 3
            && (0, util_1.isNot)('inter-element whitespace', element.childNodes[0]))) {
            result.push({
                expect: 'text that is not inter-element whitespace',
                target: element
            });
        }
        return result;
    }
};
//# sourceMappingURL=title.js.map